

# this test will try to update the has_many-relation
# 'owned_dvds' in DBSchema::Result::User by specifying the related
# ids as scalar values, instead of pk key-value-pairs


use lib 't/lib';
use Test::More tests => 5;
use Test::Exception;

use SimpleSchema;

my $schema = SimpleSchema::get_test_schema();
isa_ok($schema, 'DBIx::Class::Schema');

my $parent_rs = $schema->resultset('Parent');
isa_ok($parent_rs, 'DBIx::Class::ResultSet');

my $parent = $parent_rs->first;
isa_ok($parent, 'DBIx::Class::Core');

my @related_ids = $parent->related->get_column('id')->all;
ok(@related_ids, 'parent has related objects');

my $related_count = @related_ids;

# removing one elem from @related_ids
shift @related_ids;

my $updates = {
	id => $parent->id,
	related => [ map { {id => $_ } } @related_ids],
};

# run recursive_update
$parent_rs->recursive_update($updates);

isnt($parent->related->count, $related_count, 'number of related elements changed after recursive_update');


